Pip3 decommissioned since Ubuntu 23.04 and now as well 24.04 - what is correct way to install python dependencies?

As “sudo pip3 install xxx” does not work anymore it would be good if the installation manual (and upgrade guide) would be updated to reflect the correct way.

In theory it should be “sudo apt install python3-xxx” - however not all moduls can be installed like this.

I modified the official manual’s install instructions to use python’s venv to safely install the dependencies with pip. I don’t know if this is the way that the seafile developers want the pip problem to be addressed. It seems they don’t actually interact with github, so the issue and pull request have had no response. But I can say at least that this process worked just fine for me on Debian 12.